Application.UI = (function() {
	
	/**
	 * set class to body 
	 * 
	 * */
	function setBodyClass(){
		
		//if( widget.view-mode == 'windowed' ) { 
			
			document.body.className = '';
			//opera.postError(document.getElementsByTagName('body')[0].clientHeight);
			var bodyHeight = document.body.clientHeight;
			var bodyWidth  = document.body.clientWidth;
			var landscape = bodyHeight < bodyWidth;
			
			if( landscape ) {
				document.body.addClass( 'landscape' );
			}			

			if( !landscape && bodyWidth < 240 ){
				document.body.addClass( 'x-small' );
			} 
			else if ( landscape && bodyWidth < 320 ) {
				document.body.addClass( 'x-small' );			
			}
			
			if( !landscape && bodyWidth < 320 ){
				document.body.addClass( 'small' );
			}
			else if ( landscape && bodyWidth < 480 ) {
				document.body.addClass( 'small' );			
			}
			
			if( !landscape && bodyWidth < 480 ){
				document.body.addClass( 'medium' );
			}
			else if ( landscape && bodyWidth < 800 ) {
				document.body.addClass( 'medium' );			
			}
			
			else {
				document.body.addClass( 'large' );
			}
		//} 
		/*
		else if( widget.widgetMode == 'docked' ){
			document.body.className = '';
			document.body.addClass( 'docked' );
		}*/
		//opera.postError( 'body class: ' + document.body.className + ' width: ' + bodyWidth + ' height: ' + bodyHeight);
	}
	
	return {
		init: function(){
			
			setBodyClass();

			window.onresize = setBodyClass;
		}
	}
})();
